Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network64.0.0.0/3
Usable hosts536,870,910
Subnet mask224.0.0.0
Addresses536,870,912
Network address
64.0.0.0
Broadcast address
95.255.255.255
First usable
64.0.0.1
Last usable
95.255.255.254
Usable hosts
536,870,910 (536,870,912 less the network and broadcast addresses)
Subnet mask
224.0.0.0
Wildcard mask
31.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/3
Type
Public public
Old class
A (default /8)
As numbers
Hex 40000000 · Integer 1073741824 to 1610612735
Reverse DNS zones
64.in-addr.arpa
65.in-addr.arpa
66.in-addr.arpa
67.in-addr.arpa
68.in-addr.arpa
69.in-addr.arpa
70.in-addr.arpa
71.in-addr.arpa
72.in-addr.arpa
73.in-addr.arpa
74.in-addr.arpa
75.in-addr.arpa
76.in-addr.arpa
77.in-addr.arpa
78.in-addr.arpa
79.in-addr.arpa
and 16 more
/3 is not on a 8-bit boundary, so it takes 32 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000000.00000000.00000000.0000000064.0.0.0
Subnet mask11100000.00000000.00000000.00000000224.0.0.0
Network01000000.00000000.00000000.0000000064.0.0.0
Broadcast01011111.11111111.11111111.1111111195.255.255.255
Split into smaller subnets/14

64.0.0.0/3 makes 2,048 subnets of /14; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
164.0.0.0/1464.0.0.1 to 64.3.255.25464.3.255.255262,142
264.4.0.0/1464.4.0.1 to 64.7.255.25464.7.255.255262,142
364.8.0.0/1464.8.0.1 to 64.11.255.25464.11.255.255262,142
464.12.0.0/1464.12.0.1 to 64.15.255.25464.15.255.255262,142
564.16.0.0/1464.16.0.1 to 64.19.255.25464.19.255.255262,142
664.20.0.0/1464.20.0.1 to 64.23.255.25464.23.255.255262,142
764.24.0.0/1464.24.0.1 to 64.27.255.25464.27.255.255262,142
864.28.0.0/1464.28.0.1 to 64.31.255.25464.31.255.255262,142
964.32.0.0/1464.32.0.1 to 64.35.255.25464.35.255.255262,142
1064.36.0.0/1464.36.0.1 to 64.39.255.25464.39.255.255262,142
1164.40.0.0/1464.40.0.1 to 64.43.255.25464.43.255.255262,142
1264.44.0.0/1464.44.0.1 to 64.47.255.25464.47.255.255262,142
1364.48.0.0/1464.48.0.1 to 64.51.255.25464.51.255.255262,142
1464.52.0.0/1464.52.0.1 to 64.55.255.25464.55.255.255262,142
1564.56.0.0/1464.56.0.1 to 64.59.255.25464.59.255.255262,142
1664.60.0.0/1464.60.0.1 to 64.63.255.25464.63.255.255262,142
1764.64.0.0/1464.64.0.1 to 64.67.255.25464.67.255.255262,142
1864.68.0.0/1464.68.0.1 to 64.71.255.25464.71.255.255262,142
1964.72.0.0/1464.72.0.1 to 64.75.255.25464.75.255.255262,142
2064.76.0.0/1464.76.0.1 to 64.79.255.25464.79.255.255262,142
2164.80.0.0/1464.80.0.1 to 64.83.255.25464.83.255.255262,142
2264.84.0.0/1464.84.0.1 to 64.87.255.25464.87.255.255262,142
2364.88.0.0/1464.88.0.1 to 64.91.255.25464.91.255.255262,142
2464.92.0.0/1464.92.0.1 to 64.95.255.25464.95.255.255262,142
2564.96.0.0/1464.96.0.1 to 64.99.255.25464.99.255.255262,142
2664.100.0.0/1464.100.0.1 to 64.103.255.25464.103.255.255262,142
2764.104.0.0/1464.104.0.1 to 64.107.255.25464.107.255.255262,142
2864.108.0.0/1464.108.0.1 to 64.111.255.25464.111.255.255262,142
2964.112.0.0/1464.112.0.1 to 64.115.255.25464.115.255.255262,142
3064.116.0.0/1464.116.0.1 to 64.119.255.25464.119.255.255262,142
3164.120.0.0/1464.120.0.1 to 64.123.255.25464.123.255.255262,142
3264.124.0.0/1464.124.0.1 to 64.127.255.25464.127.255.255262,142
3364.128.0.0/1464.128.0.1 to 64.131.255.25464.131.255.255262,142
3464.132.0.0/1464.132.0.1 to 64.135.255.25464.135.255.255262,142
3564.136.0.0/1464.136.0.1 to 64.139.255.25464.139.255.255262,142
3664.140.0.0/1464.140.0.1 to 64.143.255.25464.143.255.255262,142
3764.144.0.0/1464.144.0.1 to 64.147.255.25464.147.255.255262,142
3864.148.0.0/1464.148.0.1 to 64.151.255.25464.151.255.255262,142
3964.152.0.0/1464.152.0.1 to 64.155.255.25464.155.255.255262,142
4064.156.0.0/1464.156.0.1 to 64.159.255.25464.159.255.255262,142
4164.160.0.0/1464.160.0.1 to 64.163.255.25464.163.255.255262,142
4264.164.0.0/1464.164.0.1 to 64.167.255.25464.167.255.255262,142
4364.168.0.0/1464.168.0.1 to 64.171.255.25464.171.255.255262,142
4464.172.0.0/1464.172.0.1 to 64.175.255.25464.175.255.255262,142
4564.176.0.0/1464.176.0.1 to 64.179.255.25464.179.255.255262,142
4664.180.0.0/1464.180.0.1 to 64.183.255.25464.183.255.255262,142
4764.184.0.0/1464.184.0.1 to 64.187.255.25464.187.255.255262,142
4864.188.0.0/1464.188.0.1 to 64.191.255.25464.191.255.255262,142
4964.192.0.0/1464.192.0.1 to 64.195.255.25464.195.255.255262,142
5064.196.0.0/1464.196.0.1 to 64.199.255.25464.199.255.255262,142
5164.200.0.0/1464.200.0.1 to 64.203.255.25464.203.255.255262,142
5264.204.0.0/1464.204.0.1 to 64.207.255.25464.207.255.255262,142
5364.208.0.0/1464.208.0.1 to 64.211.255.25464.211.255.255262,142
5464.212.0.0/1464.212.0.1 to 64.215.255.25464.215.255.255262,142
5564.216.0.0/1464.216.0.1 to 64.219.255.25464.219.255.255262,142
5664.220.0.0/1464.220.0.1 to 64.223.255.25464.223.255.255262,142
5764.224.0.0/1464.224.0.1 to 64.227.255.25464.227.255.255262,142
5864.228.0.0/1464.228.0.1 to 64.231.255.25464.231.255.255262,142
5964.232.0.0/1464.232.0.1 to 64.235.255.25464.235.255.255262,142
6064.236.0.0/1464.236.0.1 to 64.239.255.25464.239.255.255262,142
6164.240.0.0/1464.240.0.1 to 64.243.255.25464.243.255.255262,142
6264.244.0.0/1464.244.0.1 to 64.247.255.25464.247.255.255262,142
6364.248.0.0/1464.248.0.1 to 64.251.255.25464.251.255.255262,142
6464.252.0.0/1464.252.0.1 to 64.255.255.25464.255.255.255262,142
6565.0.0.0/1465.0.0.1 to 65.3.255.25465.3.255.255262,142
6665.4.0.0/1465.4.0.1 to 65.7.255.25465.7.255.255262,142
6765.8.0.0/1465.8.0.1 to 65.11.255.25465.11.255.255262,142
6865.12.0.0/1465.12.0.1 to 65.15.255.25465.15.255.255262,142
6965.16.0.0/1465.16.0.1 to 65.19.255.25465.19.255.255262,142
7065.20.0.0/1465.20.0.1 to 65.23.255.25465.23.255.255262,142
7165.24.0.0/1465.24.0.1 to 65.27.255.25465.27.255.255262,142
7265.28.0.0/1465.28.0.1 to 65.31.255.25465.31.255.255262,142
7365.32.0.0/1465.32.0.1 to 65.35.255.25465.35.255.255262,142
7465.36.0.0/1465.36.0.1 to 65.39.255.25465.39.255.255262,142
7565.40.0.0/1465.40.0.1 to 65.43.255.25465.43.255.255262,142
7665.44.0.0/1465.44.0.1 to 65.47.255.25465.47.255.255262,142
7765.48.0.0/1465.48.0.1 to 65.51.255.25465.51.255.255262,142
7865.52.0.0/1465.52.0.1 to 65.55.255.25465.55.255.255262,142
7965.56.0.0/1465.56.0.1 to 65.59.255.25465.59.255.255262,142
8065.60.0.0/1465.60.0.1 to 65.63.255.25465.63.255.255262,142
8165.64.0.0/1465.64.0.1 to 65.67.255.25465.67.255.255262,142
8265.68.0.0/1465.68.0.1 to 65.71.255.25465.71.255.255262,142
8365.72.0.0/1465.72.0.1 to 65.75.255.25465.75.255.255262,142
8465.76.0.0/1465.76.0.1 to 65.79.255.25465.79.255.255262,142
8565.80.0.0/1465.80.0.1 to 65.83.255.25465.83.255.255262,142
8665.84.0.0/1465.84.0.1 to 65.87.255.25465.87.255.255262,142
8765.88.0.0/1465.88.0.1 to 65.91.255.25465.91.255.255262,142
8865.92.0.0/1465.92.0.1 to 65.95.255.25465.95.255.255262,142
8965.96.0.0/1465.96.0.1 to 65.99.255.25465.99.255.255262,142
9065.100.0.0/1465.100.0.1 to 65.103.255.25465.103.255.255262,142
9165.104.0.0/1465.104.0.1 to 65.107.255.25465.107.255.255262,142
9265.108.0.0/1465.108.0.1 to 65.111.255.25465.111.255.255262,142
9365.112.0.0/1465.112.0.1 to 65.115.255.25465.115.255.255262,142
9465.116.0.0/1465.116.0.1 to 65.119.255.25465.119.255.255262,142
9565.120.0.0/1465.120.0.1 to 65.123.255.25465.123.255.255262,142
9665.124.0.0/1465.124.0.1 to 65.127.255.25465.127.255.255262,142
9765.128.0.0/1465.128.0.1 to 65.131.255.25465.131.255.255262,142
9865.132.0.0/1465.132.0.1 to 65.135.255.25465.135.255.255262,142
9965.136.0.0/1465.136.0.1 to 65.139.255.25465.139.255.255262,142
10065.140.0.0/1465.140.0.1 to 65.143.255.25465.143.255.255262,142
10165.144.0.0/1465.144.0.1 to 65.147.255.25465.147.255.255262,142
10265.148.0.0/1465.148.0.1 to 65.151.255.25465.151.255.255262,142
10365.152.0.0/1465.152.0.1 to 65.155.255.25465.155.255.255262,142
10465.156.0.0/1465.156.0.1 to 65.159.255.25465.159.255.255262,142
10565.160.0.0/1465.160.0.1 to 65.163.255.25465.163.255.255262,142
10665.164.0.0/1465.164.0.1 to 65.167.255.25465.167.255.255262,142
10765.168.0.0/1465.168.0.1 to 65.171.255.25465.171.255.255262,142
10865.172.0.0/1465.172.0.1 to 65.175.255.25465.175.255.255262,142
10965.176.0.0/1465.176.0.1 to 65.179.255.25465.179.255.255262,142
11065.180.0.0/1465.180.0.1 to 65.183.255.25465.183.255.255262,142
11165.184.0.0/1465.184.0.1 to 65.187.255.25465.187.255.255262,142
11265.188.0.0/1465.188.0.1 to 65.191.255.25465.191.255.255262,142
11365.192.0.0/1465.192.0.1 to 65.195.255.25465.195.255.255262,142
11465.196.0.0/1465.196.0.1 to 65.199.255.25465.199.255.255262,142
11565.200.0.0/1465.200.0.1 to 65.203.255.25465.203.255.255262,142
11665.204.0.0/1465.204.0.1 to 65.207.255.25465.207.255.255262,142
11765.208.0.0/1465.208.0.1 to 65.211.255.25465.211.255.255262,142
11865.212.0.0/1465.212.0.1 to 65.215.255.25465.215.255.255262,142
11965.216.0.0/1465.216.0.1 to 65.219.255.25465.219.255.255262,142
12065.220.0.0/1465.220.0.1 to 65.223.255.25465.223.255.255262,142
12165.224.0.0/1465.224.0.1 to 65.227.255.25465.227.255.255262,142
12265.228.0.0/1465.228.0.1 to 65.231.255.25465.231.255.255262,142
12365.232.0.0/1465.232.0.1 to 65.235.255.25465.235.255.255262,142
12465.236.0.0/1465.236.0.1 to 65.239.255.25465.239.255.255262,142
12565.240.0.0/1465.240.0.1 to 65.243.255.25465.243.255.255262,142
12665.244.0.0/1465.244.0.1 to 65.247.255.25465.247.255.255262,142
12765.248.0.0/1465.248.0.1 to 65.251.255.25465.251.255.255262,142
12865.252.0.0/1465.252.0.1 to 65.255.255.25465.255.255.255262,142
12966.0.0.0/1466.0.0.1 to 66.3.255.25466.3.255.255262,142
13066.4.0.0/1466.4.0.1 to 66.7.255.25466.7.255.255262,142
13166.8.0.0/1466.8.0.1 to 66.11.255.25466.11.255.255262,142
13266.12.0.0/1466.12.0.1 to 66.15.255.25466.15.255.255262,142
13366.16.0.0/1466.16.0.1 to 66.19.255.25466.19.255.255262,142
13466.20.0.0/1466.20.0.1 to 66.23.255.25466.23.255.255262,142
13566.24.0.0/1466.24.0.1 to 66.27.255.25466.27.255.255262,142
13666.28.0.0/1466.28.0.1 to 66.31.255.25466.31.255.255262,142
13766.32.0.0/1466.32.0.1 to 66.35.255.25466.35.255.255262,142
13866.36.0.0/1466.36.0.1 to 66.39.255.25466.39.255.255262,142
13966.40.0.0/1466.40.0.1 to 66.43.255.25466.43.255.255262,142
14066.44.0.0/1466.44.0.1 to 66.47.255.25466.47.255.255262,142
14166.48.0.0/1466.48.0.1 to 66.51.255.25466.51.255.255262,142
14266.52.0.0/1466.52.0.1 to 66.55.255.25466.55.255.255262,142
14366.56.0.0/1466.56.0.1 to 66.59.255.25466.59.255.255262,142
14466.60.0.0/1466.60.0.1 to 66.63.255.25466.63.255.255262,142
14566.64.0.0/1466.64.0.1 to 66.67.255.25466.67.255.255262,142
14666.68.0.0/1466.68.0.1 to 66.71.255.25466.71.255.255262,142
14766.72.0.0/1466.72.0.1 to 66.75.255.25466.75.255.255262,142
14866.76.0.0/1466.76.0.1 to 66.79.255.25466.79.255.255262,142
14966.80.0.0/1466.80.0.1 to 66.83.255.25466.83.255.255262,142
15066.84.0.0/1466.84.0.1 to 66.87.255.25466.87.255.255262,142
15166.88.0.0/1466.88.0.1 to 66.91.255.25466.91.255.255262,142
15266.92.0.0/1466.92.0.1 to 66.95.255.25466.95.255.255262,142
15366.96.0.0/1466.96.0.1 to 66.99.255.25466.99.255.255262,142
15466.100.0.0/1466.100.0.1 to 66.103.255.25466.103.255.255262,142
15566.104.0.0/1466.104.0.1 to 66.107.255.25466.107.255.255262,142
15666.108.0.0/1466.108.0.1 to 66.111.255.25466.111.255.255262,142
15766.112.0.0/1466.112.0.1 to 66.115.255.25466.115.255.255262,142
15866.116.0.0/1466.116.0.1 to 66.119.255.25466.119.255.255262,142
15966.120.0.0/1466.120.0.1 to 66.123.255.25466.123.255.255262,142
16066.124.0.0/1466.124.0.1 to 66.127.255.25466.127.255.255262,142
16166.128.0.0/1466.128.0.1 to 66.131.255.25466.131.255.255262,142
16266.132.0.0/1466.132.0.1 to 66.135.255.25466.135.255.255262,142
16366.136.0.0/1466.136.0.1 to 66.139.255.25466.139.255.255262,142
16466.140.0.0/1466.140.0.1 to 66.143.255.25466.143.255.255262,142
16566.144.0.0/1466.144.0.1 to 66.147.255.25466.147.255.255262,142
16666.148.0.0/1466.148.0.1 to 66.151.255.25466.151.255.255262,142
16766.152.0.0/1466.152.0.1 to 66.155.255.25466.155.255.255262,142
16866.156.0.0/1466.156.0.1 to 66.159.255.25466.159.255.255262,142
16966.160.0.0/1466.160.0.1 to 66.163.255.25466.163.255.255262,142
17066.164.0.0/1466.164.0.1 to 66.167.255.25466.167.255.255262,142
17166.168.0.0/1466.168.0.1 to 66.171.255.25466.171.255.255262,142
17266.172.0.0/1466.172.0.1 to 66.175.255.25466.175.255.255262,142
17366.176.0.0/1466.176.0.1 to 66.179.255.25466.179.255.255262,142
17466.180.0.0/1466.180.0.1 to 66.183.255.25466.183.255.255262,142
17566.184.0.0/1466.184.0.1 to 66.187.255.25466.187.255.255262,142
17666.188.0.0/1466.188.0.1 to 66.191.255.25466.191.255.255262,142
17766.192.0.0/1466.192.0.1 to 66.195.255.25466.195.255.255262,142
17866.196.0.0/1466.196.0.1 to 66.199.255.25466.199.255.255262,142
17966.200.0.0/1466.200.0.1 to 66.203.255.25466.203.255.255262,142
18066.204.0.0/1466.204.0.1 to 66.207.255.25466.207.255.255262,142
18166.208.0.0/1466.208.0.1 to 66.211.255.25466.211.255.255262,142
18266.212.0.0/1466.212.0.1 to 66.215.255.25466.215.255.255262,142
18366.216.0.0/1466.216.0.1 to 66.219.255.25466.219.255.255262,142
18466.220.0.0/1466.220.0.1 to 66.223.255.25466.223.255.255262,142
18566.224.0.0/1466.224.0.1 to 66.227.255.25466.227.255.255262,142
18666.228.0.0/1466.228.0.1 to 66.231.255.25466.231.255.255262,142
18766.232.0.0/1466.232.0.1 to 66.235.255.25466.235.255.255262,142
18866.236.0.0/1466.236.0.1 to 66.239.255.25466.239.255.255262,142
18966.240.0.0/1466.240.0.1 to 66.243.255.25466.243.255.255262,142
19066.244.0.0/1466.244.0.1 to 66.247.255.25466.247.255.255262,142
19166.248.0.0/1466.248.0.1 to 66.251.255.25466.251.255.255262,142
19266.252.0.0/1466.252.0.1 to 66.255.255.25466.255.255.255262,142
19367.0.0.0/1467.0.0.1 to 67.3.255.25467.3.255.255262,142
19467.4.0.0/1467.4.0.1 to 67.7.255.25467.7.255.255262,142
19567.8.0.0/1467.8.0.1 to 67.11.255.25467.11.255.255262,142
19667.12.0.0/1467.12.0.1 to 67.15.255.25467.15.255.255262,142
19767.16.0.0/1467.16.0.1 to 67.19.255.25467.19.255.255262,142
19867.20.0.0/1467.20.0.1 to 67.23.255.25467.23.255.255262,142
19967.24.0.0/1467.24.0.1 to 67.27.255.25467.27.255.255262,142
20067.28.0.0/1467.28.0.1 to 67.31.255.25467.31.255.255262,142
20167.32.0.0/1467.32.0.1 to 67.35.255.25467.35.255.255262,142
20267.36.0.0/1467.36.0.1 to 67.39.255.25467.39.255.255262,142
20367.40.0.0/1467.40.0.1 to 67.43.255.25467.43.255.255262,142
20467.44.0.0/1467.44.0.1 to 67.47.255.25467.47.255.255262,142
20567.48.0.0/1467.48.0.1 to 67.51.255.25467.51.255.255262,142
20667.52.0.0/1467.52.0.1 to 67.55.255.25467.55.255.255262,142
20767.56.0.0/1467.56.0.1 to 67.59.255.25467.59.255.255262,142
20867.60.0.0/1467.60.0.1 to 67.63.255.25467.63.255.255262,142
20967.64.0.0/1467.64.0.1 to 67.67.255.25467.67.255.255262,142
21067.68.0.0/1467.68.0.1 to 67.71.255.25467.71.255.255262,142
21167.72.0.0/1467.72.0.1 to 67.75.255.25467.75.255.255262,142
21267.76.0.0/1467.76.0.1 to 67.79.255.25467.79.255.255262,142
21367.80.0.0/1467.80.0.1 to 67.83.255.25467.83.255.255262,142
21467.84.0.0/1467.84.0.1 to 67.87.255.25467.87.255.255262,142
21567.88.0.0/1467.88.0.1 to 67.91.255.25467.91.255.255262,142
21667.92.0.0/1467.92.0.1 to 67.95.255.25467.95.255.255262,142
21767.96.0.0/1467.96.0.1 to 67.99.255.25467.99.255.255262,142
21867.100.0.0/1467.100.0.1 to 67.103.255.25467.103.255.255262,142
21967.104.0.0/1467.104.0.1 to 67.107.255.25467.107.255.255262,142
22067.108.0.0/1467.108.0.1 to 67.111.255.25467.111.255.255262,142
22167.112.0.0/1467.112.0.1 to 67.115.255.25467.115.255.255262,142
22267.116.0.0/1467.116.0.1 to 67.119.255.25467.119.255.255262,142
22367.120.0.0/1467.120.0.1 to 67.123.255.25467.123.255.255262,142
22467.124.0.0/1467.124.0.1 to 67.127.255.25467.127.255.255262,142
22567.128.0.0/1467.128.0.1 to 67.131.255.25467.131.255.255262,142
22667.132.0.0/1467.132.0.1 to 67.135.255.25467.135.255.255262,142
22767.136.0.0/1467.136.0.1 to 67.139.255.25467.139.255.255262,142
22867.140.0.0/1467.140.0.1 to 67.143.255.25467.143.255.255262,142
22967.144.0.0/1467.144.0.1 to 67.147.255.25467.147.255.255262,142
23067.148.0.0/1467.148.0.1 to 67.151.255.25467.151.255.255262,142
23167.152.0.0/1467.152.0.1 to 67.155.255.25467.155.255.255262,142
23267.156.0.0/1467.156.0.1 to 67.159.255.25467.159.255.255262,142
23367.160.0.0/1467.160.0.1 to 67.163.255.25467.163.255.255262,142
23467.164.0.0/1467.164.0.1 to 67.167.255.25467.167.255.255262,142
23567.168.0.0/1467.168.0.1 to 67.171.255.25467.171.255.255262,142
23667.172.0.0/1467.172.0.1 to 67.175.255.25467.175.255.255262,142
23767.176.0.0/1467.176.0.1 to 67.179.255.25467.179.255.255262,142
23867.180.0.0/1467.180.0.1 to 67.183.255.25467.183.255.255262,142
23967.184.0.0/1467.184.0.1 to 67.187.255.25467.187.255.255262,142
24067.188.0.0/1467.188.0.1 to 67.191.255.25467.191.255.255262,142
24167.192.0.0/1467.192.0.1 to 67.195.255.25467.195.255.255262,142
24267.196.0.0/1467.196.0.1 to 67.199.255.25467.199.255.255262,142
24367.200.0.0/1467.200.0.1 to 67.203.255.25467.203.255.255262,142
24467.204.0.0/1467.204.0.1 to 67.207.255.25467.207.255.255262,142
24567.208.0.0/1467.208.0.1 to 67.211.255.25467.211.255.255262,142
24667.212.0.0/1467.212.0.1 to 67.215.255.25467.215.255.255262,142
24767.216.0.0/1467.216.0.1 to 67.219.255.25467.219.255.255262,142
24867.220.0.0/1467.220.0.1 to 67.223.255.25467.223.255.255262,142
24967.224.0.0/1467.224.0.1 to 67.227.255.25467.227.255.255262,142
25067.228.0.0/1467.228.0.1 to 67.231.255.25467.231.255.255262,142
25167.232.0.0/1467.232.0.1 to 67.235.255.25467.235.255.255262,142
25267.236.0.0/1467.236.0.1 to 67.239.255.25467.239.255.255262,142
25367.240.0.0/1467.240.0.1 to 67.243.255.25467.243.255.255262,142
25467.244.0.0/1467.244.0.1 to 67.247.255.25467.247.255.255262,142
25567.248.0.0/1467.248.0.1 to 67.251.255.25467.251.255.255262,142
25667.252.0.0/1467.252.0.1 to 67.255.255.25467.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses